CGREEN-RUNNER(1)

NAME
cgreen-runner - an auto-discovering runner for the Cgreen unittest and mocking framework

SYNOPSIS
cgreen-runner [--colour] [--xml prefix] [--suite name] [--verbose] [--no-run] [--help] ( LIBRARY [test] )+

DESCRIPTION
Cgreen is a framework for creating and running compact and easy-to-read unittests for C and/or C++. After compiling your tests and linking them together with the code/class/subject under test (CUT/SUT) into a shared dynamically loadable LIBRARY you can auto-discover and run all tests using the cgreen-runner without having to manually add each and every test that you write to a suite programmatically.

This makes the TDD cycle even faster and less error-prone, one less thing to remember.

  Usage:
Discover and run all, or a single named, cgreen test(s) from one or multiple dynamically loadable library.

A single test can be run using the form [<context>:]<name> where <context> can be omitted if there is no context.

OPTIONS

-c, --colours/colors
    Use colours to emphasis result (requires ANSI-capable terminal)

-x, --xml prefix
    Instead of messages on stdout, write results into one XML-file per suite, compatible with Hudson/Jenkins CI. The filename(s) will be 'prefix-<suite>.xml'

-s, --suite name
    Give the top level suite name instead of the name in the LIBRARY.

-n, --no-run
    Don't run the tests.

-v, --verbose
    Show progress information during run.

-V, --version
    Show version information and exit.

-h, --help
    Print some usage information and exit.

SEE ALSO
cgreen(5)

The full documentation for cgreen-runner and the Cgreen framework is in the Cgreen manual available at GitHub (https://github.com/cgreen-devs/cgreen).